## EAttachmentButton

EAttachmentButton

## Functions

GtkWidget * | e_attachment_button_new ()
EAttachmentView * | e_attachment_button_get_view ()
void | e_attachment_button_set_view ()
EAttachment * | e_attachment_button_get_attachment ()
void | e_attachment_button_set_attachment ()
gboolean | e_attachment_button_get_expandable ()
void | e_attachment_button_set_expandable ()
gboolean | e_attachment_button_get_expanded ()
void | e_attachment_button_set_expanded ()

## Properties

EAttachment * | attachment | Read / Write
gboolean | expandable | Read / Write / Construct
gboolean | expanded | Read / Write / Construct
EAttachmentView * | view | Read / Write

## Types and Values

struct | EAttachmentButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkHBox
                            ╰── EAttachmentButton

## Implemented Interfaces

EAttachmentButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### e_attachment_button_new ()

    GtkWidget *
    e_attachment_button_new (void);

### e_attachment_button_get_view ()

    EAttachmentView *
    e_attachment_button_get_view (EAttachmentButton *button);

### e_attachment_button_set_view ()

    void
    e_attachment_button_set_view (EAttachmentButton *button,
                                  EAttachmentView *view);

### e_attachment_button_get_attachment ()

    EAttachment *
    e_attachment_button_get_attachment (EAttachmentButton *button);

### e_attachment_button_set_attachment ()

    void
    e_attachment_button_set_attachment (EAttachmentButton *button,
                                        EAttachment *attachment);

### e_attachment_button_get_expandable ()

    gboolean
    e_attachment_button_get_expandable (EAttachmentButton *button);

### e_attachment_button_set_expandable ()

    void
    e_attachment_button_set_expandable (EAttachmentButton *button,
                                        gboolean expandable);

### e_attachment_button_get_expanded ()

    gboolean
    e_attachment_button_get_expanded (EAttachmentButton *button);

### e_attachment_button_set_expanded ()

    void
    e_attachment_button_set_expanded (EAttachmentButton *button,
                                      gboolean expanded);

## Types and Values

### struct EAttachmentButton

    struct EAttachmentButton;

## Property Details

### The `“attachment”` property

      “attachment”               EAttachment *

Flags: Read / Write

### The `“expandable”` property

      “expandable”               gboolean

Flags: Read / Write / Construct

Default value: TRUE

### The `“expanded”` property

      “expanded”                 gboolean

Flags: Read / Write / Construct

Default value: FALSE

### The `“view”` property

      “view”                     EAttachmentView *

Flags: Read / Write